Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Class OWLFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.OWLFactory

    public class OWLFactory

extends Object

Factory to create bridge instances of OWL entities that reflect OWL entities in a source OWL model or entities created inside the bridge (that may or may not ultimately be transferred to the source OWL model).

Constructor Summary
`OWLFactory()`

Method Summary
`static BuiltInArgument` | `createBuiltInArgument(String variableName, String prefixedVariableName)`
`static BuiltInAtom` | `createBuiltInAtom(OWLModel owlModel, SWRLBuiltinAtom atom)`
`static BuiltInAtom` | `createBuiltInAtom(String builtInName, String builtInPrefixedName, List<BuiltInArgument> arguments)`
`static ClassAtom` | `createClassAtom(SWRLClassAtom atom)`
`static DataRangeAtom` | `createDataRangeAtom(SWRLDataRangeAtom atom)`
`static DatavaluedPropertyAtom` | `createDatavaluedPropertyAtom(OWLModel owlModel, SWRLDatavaluedPropertyAtom atom)`
`static DifferentIndividualsAtom` | `createDifferentIndividualsAtom(SWRLDifferentIndividualsAtom atom)`
`static IndividualPropertyAtom` | `createIndividualPropertyAtom(SWRLIndividualPropertyAtom atom)`
`static OWLClass` | `createOWLClass(OWLModel owlModel)`
`static OWLClass` | `createOWLClass(OWLModel owlModel, String className)`
`static OWLClass` | `createOWLClass(OWLNamedClass cls)`
`static OWLClass` | `createOWLClass(String className)`
`static OWLClass` | `createOWLClass(String className, String superclassName)`
`static OWLClassAssertionAxiom` | `createOWLClassAssertionAxiom(OWLIndividual individual, OWLClass description)`
`static OWLClassPropertyAssertionAxiom` | `createOWLClassPropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLClass object)`
`static OWLDatatypeProperty` | `createOWLDatatypeProperty(OWLDatatypeProperty property)`
`static OWLDatatypeProperty` | `createOWLDatatypeProperty(OWLModel owlModel, String propertyName)`
`static OWLDatatypeProperty` | `createOWLDatatypeProperty(String propertyName)`
`static OWLDatatypePropertyAssertionAxiom` | `createOWLDatatypePropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLDatatypeValue object)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(BigDecimal bd)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(BigInteger bi)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(boolean b)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(Byte b)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(double d)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(float f)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(int i)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(long l)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(Number n)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(OWLModel owlModel, RDFSLiteral literal)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(PrimitiveXSDType xsd)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(short s)`
`static OWLDatatypeValue` | `createOWLDatatypeValue(String s)`
`static OWLDifferentIndividualsAxiom` | `createOWLDifferentIndividualsAxiom(OWLIndividual individual1, OWLIndividual individual2)`
`static OWLDifferentIndividualsAxiom` | `createOWLDifferentIndividualsAxiom(Set<OWLIndividual> individuals)`
`static OWLIndividual` | `createOWLIndividual(OWLIndividual individual)`
`static OWLIndividual` | `createOWLIndividual(OWLIndividual owlIndividual, OWLClass owlClass)`
`static OWLIndividual` | `createOWLIndividual(OWLModel owlModel, String individualName)`
`static OWLIndividual` | `createOWLIndividual(String individualName)`
`static OWLObjectProperty` | `createOWLObjectProperty(OWLModel owlModel, String propertyName)`
`static OWLObjectProperty` | `createOWLObjectProperty(OWLObjectProperty property)`
`static OWLObjectProperty` | `createOWLObjectProperty(String propertyName)`
`static OWLObjectPropertyAssertionAxiom` | `createOWLObjectPropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLIndividual object)`
`static OWLPropertyPropertyAssertionAxiom` | `createOWLPropertyPropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLProperty object)`
`static OWLSameIndividualsAxiom` | `createOWLSameIndividualsAxiom(OWLIndividual individual1, OWLIndividual individual2)`
`static OWLSomeValuesFrom` | `createOWLSomeValuesFrom(OWLClass owlClass, OWLProperty onProperty, OWLClass someValuesFrom)`
`static SameIndividualAtom` | `createSameIndividualAtom(SWRLSameIndividualAtom atom)`
`static SWRLRule` | `createSWRLRule(String ruleName, List<Atom> bodyAtoms, List<Atom> headAtoms)`
`static VariableAtomArgument` | `createVariableAtomArgument(String variableName, String prefixedVariableName)`
`static VariableBuiltInArgument` | `createVariableBuiltInArgument(String variableName, String prefixedVariableName)`
`static OWLIndividual` | `generateOWLIndividual(String individualName, String prefixedIndividualName, OWLClass owlClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLFactory

    public OWLFactory()

Method Detail

### createBuiltInAtom

    public static BuiltInAtom createBuiltInAtom(OWLModel owlModel,
                                                SWRLBuiltinAtom atom)
                                         throws OWLFactoryException,
                                                DatatypeConversionException

  Throws:
    `OWLFactoryException`
    `DatatypeConversionException`

### createBuiltInAtom

    public static BuiltInAtom createBuiltInAtom(String builtInName,
                                                String builtInPrefixedName,
                                                List<BuiltInArgument> arguments)

### createClassAtom

    public static ClassAtom createClassAtom(SWRLClassAtom atom)
                                     throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createDataRangeAtom

    public static DataRangeAtom createDataRangeAtom(SWRLDataRangeAtom atom)
                                             throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createDatavaluedPropertyAtom

    public static DatavaluedPropertyAtom createDatavaluedPropertyAtom(OWLModel owlModel,
                                                                      SWRLDatavaluedPropertyAtom atom)
                                                               throws OWLFactoryException,
                                                                      DatatypeConversionException

  Throws:
    `OWLFactoryException`
    `DatatypeConversionException`

### createDifferentIndividualsAtom

    public static DifferentIndividualsAtom createDifferentIndividualsAtom(SWRLDifferentIndividualsAtom atom)
                                                                   throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createIndividualPropertyAtom

    public static IndividualPropertyAtom createIndividualPropertyAtom(SWRLIndividualPropertyAtom atom)
                                                               throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createSameIndividualAtom

    public static SameIndividualAtom createSameIndividualAtom(SWRLSameIndividualAtom atom)
                                                       throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createSWRLRule

    public static SWRLRule createSWRLRule(String ruleName,
                                          List<Atom> bodyAtoms,
                                          List<Atom> headAtoms)
                                   throws SQWRLException,
                                          BuiltInException

  Throws:
    `SQWRLException`
    `BuiltInException`

### createOWLClass

    public static OWLClass createOWLClass(OWLModel owlModel)
                                   throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLClass

    public static OWLClass createOWLClass(OWLModel owlModel,
                                          String className)
                                   throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLClass

    public static OWLClass createOWLClass(OWLNamedClass cls)
                                   throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLClass

    public static OWLClass createOWLClass(String className)

### createOWLClass

    public static OWLClass createOWLClass(String className,
                                          String superclassName)

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLModel owlModel,
                                                    String individualName)
                                             throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLIndividual individual)
                                             throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLIndividual owlIndividual,
                                                    OWLClass owlClass)
                                             throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(String individualName)

### generateOWLIndividual

    public static OWLIndividual generateOWLIndividual(String individualName,
                                                      String prefixedIndividualName,
                                                      OWLClass owlClass)

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(OWLObjectProperty property)
                                                     throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(OWLModel owlModel,
                                                            String propertyName)
                                                     throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(String propertyName)

### createOWLDatatypeProperty

    public static OWLDatatypeProperty createOWLDatatypeProperty(OWLDatatypeProperty property)
                                                         throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLDatatypeProperty

    public static OWLDatatypeProperty createOWLDatatypeProperty(OWLModel owlModel,
                                                                String propertyName)
                                                         throws OWLFactoryException

  Throws:
    `OWLFactoryException`

### createOWLDatatypeProperty

    public static OWLDatatypeProperty createOWLDatatypeProperty(String propertyName)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(OWLModel owlModel,
                                                          RDFSLiteral literal)
                                                   throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(String s)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(Number n)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(boolean b)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(int i)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(long l)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(float f)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(double d)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(short s)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(Byte b)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(BigDecimal bd)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(BigInteger bi)

### createOWLDatatypeValue

    public static OWLDatatypeValue createOWLDatatypeValue(PrimitiveXSDType xsd)

### createOWLDatatypePropertyAssertionAxiom

    public static OWLDatatypePropertyAssertionAxiom createOWLDatatypePropertyAssertionAxiom(OWLIndividual subject,
                                                                                            OWLProperty property,
                                                                                            OWLDatatypeValue object)

### createOWLObjectPropertyAssertionAxiom

    public static OWLObjectPropertyAssertionAxiom createOWLObjectPropertyAssertionAxiom(OWLIndividual subject,
                                                                                        OWLProperty property,
                                                                                        OWLIndividual object)

### createOWLDifferentIndividualsAxiom

    public static OWLDifferentIndividualsAxiom createOWLDifferentIndividualsAxiom(OWLIndividual individual1,
                                                                                  OWLIndividual individual2)

### createOWLDifferentIndividualsAxiom

    public static OWLDifferentIndividualsAxiom createOWLDifferentIndividualsAxiom(Set<OWLIndividual> individuals)

### createOWLSameIndividualsAxiom

    public static OWLSameIndividualsAxiom createOWLSameIndividualsAxiom(OWLIndividual individual1,
                                                                        OWLIndividual individual2)

### createOWLClassPropertyAssertionAxiom

    public static OWLClassPropertyAssertionAxiom createOWLClassPropertyAssertionAxiom(OWLIndividual subject,
                                                                                      OWLProperty property,
                                                                                      OWLClass object)

### createOWLPropertyPropertyAssertionAxiom

    public static OWLPropertyPropertyAssertionAxiom createOWLPropertyPropertyAssertionAxiom(OWLIndividual subject,
                                                                                            OWLProperty property,
                                                                                            OWLProperty object)

### createOWLClassAssertionAxiom

    public static OWLClassAssertionAxiom createOWLClassAssertionAxiom(OWLIndividual individual,
                                                                      OWLClass description)

### createOWLSomeValuesFrom

    public static OWLSomeValuesFrom createOWLSomeValuesFrom(OWLClass owlClass,
                                                            OWLProperty onProperty,
                                                            OWLClass someValuesFrom)

### createVariableAtomArgument

    public static VariableAtomArgument createVariableAtomArgument(String variableName,
                                                                  String prefixedVariableName)

### createVariableBuiltInArgument

    public static VariableBuiltInArgument createVariableBuiltInArgument(String variableName,
                                                                        String prefixedVariableName)

### createBuiltInArgument

    public static BuiltInArgument createBuiltInArgument(String variableName,
                                                        String prefixedVariableName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.